Source: https://tendernation.io/suppliers/ictn

Supplier profile

# ICTn Limited

Public sector contracts won, from published award notices

SME

[ Follow competitor](/login "Sign in to follow competitors")[ Compete for this work](/register)

Contracts won

4

since 7 Jul 2021

Total awarded

£200,000

where values were published

Buyers

1

public body

Latest win

6 Oct 2021

##  Recent contract awards

- [RFC122 - Horsehay Gym](https://tendernation.io/opportunities/01a13b89-c8e8-725c-8986-8ee4a978a4e0/rfc122-horsehay-gym)[Telford &amp; Wrekin Council](https://tendernation.io/buyers/telford-wrekin-council)

    Value not counted: framework or estimated ceiling

    6 Oct 2021
- [RFC125 - Old Park Primary](https://tendernation.io/opportunities/01a13b89-0fa3-72fa-a4dc-a4bb09619853/rfc125-old-park-primary)[Telford &amp; Wrekin Council](https://tendernation.io/buyers/telford-wrekin-council)

    Value not counted: framework or estimated ceiling

    7 Sept 2021
- [RFC127 - Dawley Town Hall P2P](https://tendernation.io/opportunities/01a13b88-c2a2-7222-b1d0-e705ff04a868/rfc127-dawley-town-hall-p2p)[Telford &amp; Wrekin Council](https://tendernation.io/buyers/telford-wrekin-council)

    Value not counted: framework or estimated ceiling

    19 Aug 2021
- [ICT Infrastructure Cabling](https://tendernation.io/opportunities/01a13b84-2428-73a5-a298-50949b0ba1f5/ict-infrastructure-cabling)[Telford &amp; Wrekin Council](https://tendernation.io/buyers/telford-wrekin-council)

    £200,000

    7 Jul 2021

## Who they win from

- [Telford &amp; Wrekin Council4 wins](https://tendernation.io/buyers/telford-wrekin-council)

## What they win

- [Construction work](https://tendernation.io/sectors/construction-work)4

Competing with ICTn Limited?

TenderNation shows who wins each buyer's work, flags contracts coming up for renewal and emails you new tenders that fit. Free plan available.

[All buyers](/buyers)[Start free ](/register)

14-day free trial, no card required
